Module javafx.base
Package javafx.beans.value

## Interface WritableObjectValue<T>

- All Superinterfaces:
    `WritableValue<T>`
  All Known Subinterfaces:
    `WritableListValue<E>`, `WritableMapValue<K,​V>`, `WritableSetValue<E>`, `WritableStringValue`
  All Known Implementing Classes:
    `JavaBeanObjectProperty`, `JavaBeanStringProperty`, `ListProperty`, `ListPropertyBase`, `MapProperty`, `MapPropertyBase`, `ObjectProperty`, `ObjectPropertyBase`, `ReadOnlyListWrapper`, `ReadOnlyMapWrapper`, `ReadOnlyObjectWrapper`, `ReadOnlySetWrapper`, `ReadOnlyStringWrapper`, `SetProperty`, `SetPropertyBase`, `SimpleListProperty`, `SimpleMapProperty`, `SimpleObjectProperty`, `SimpleSetProperty`, `SimpleStringProperty`, `SimpleStyleableObjectProperty`, `SimpleStyleableStringProperty`, `StringProperty`, `StringPropertyBase`, `StyleableObjectProperty`, `StyleableStringProperty`

      public interface WritableObjectValue<T>
      extends WritableValue<T>

  A writable typed value.
  Since:
    JavaFX 2.0
  See Also:
    `WritableValue`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `get()` | Get the wrapped value.
    `void` | `set​(T value)` | Set the wrapped value.

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Method Detail

    - #### get

          T get()

      Get the wrapped value. This must be identical to the value returned from `WritableValue.getValue()`.

      This method exists only to align WritableObjectValue API with `WritableBooleanValue` and subclasses of `WritableNumberValue`

      Returns:
        The current value

    - #### set

          void set​(T value)

      Set the wrapped value. Should be equivalent to `WritableValue.setValue(java.lang.Object)`
      Parameters:
        `value` - The new value
      See Also:
        `get()`